<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGraphLibrary(TIGL): NODE_Dijkstra&lt; DIST_TYPE, ID_TYPE &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGraphLibrary(TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structNODE__Dijkstra-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NODE_Dijkstra&lt; DIST_TYPE, ID_TYPE &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tiglExamplesSSSPVertexSequential_8hpp_source.html">tiglExamplesSSSPVertexSequential.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a17805df41ff1dfdef2c73e2cebafca11"><td class="memItemLeft" align="right" valign="top">DIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structNODE__Dijkstra.html#a17805df41ff1dfdef2c73e2cebafca11">distance</a></td></tr>
<tr class="separator:a17805df41ff1dfdef2c73e2cebafca11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a383d0d27ef215df31a93fedb0b403f9e"><td class="memItemLeft" align="right" valign="top">ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structNODE__Dijkstra.html#a383d0d27ef215df31a93fedb0b403f9e">parent</a></td></tr>
<tr class="separator:a383d0d27ef215df31a93fedb0b403f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename DIST_TYPE, typename ID_TYPE&gt;<br />
struct NODE_Dijkstra&lt; DIST_TYPE, ID_TYPE &gt;</h3>

<p>vertexDijkstra: the vertex class for the Dijkstra algorithm for single source shortest path The class inherits the core "vertex" class the algData field of core vertex class should be a structure that has the following subfields ID_TYPE parent; DIST_TYPE distance;</p>
<p><a class="el" href="structNODE__Dijkstra.html">NODE_Dijkstra</a>: a structure that describes algorithm data for Dijkstra <a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> It has two fields </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a17805df41ff1dfdef2c73e2cebafca11"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename DIST_TYPE, typename ID_TYPE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">DIST_TYPE <a class="el" href="structNODE__Dijkstra.html">NODE_Dijkstra</a>&lt; DIST_TYPE, ID_TYPE &gt;::distance</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">holds</td><td>distance to the source. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a383d0d27ef215df31a93fedb0b403f9e"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename DIST_TYPE, typename ID_TYPE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ID_TYPE <a class="el" href="structNODE__Dijkstra.html">NODE_Dijkstra</a>&lt; DIST_TYPE, ID_TYPE &gt;::parent</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">holds</td><td>the parent in the shortest route to the source. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/examples/<a class="el" href="tiglExamplesSSSPVertexSequential_8hpp_source.html">tiglExamplesSSSPVertexSequential.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jan 19 2015 17:01:15 for TIGraphLibrary(TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
